Unbind
Variables

List Variables

List variables for a service, environment, project, or team. Service variables include their rendered values.

GET
/variables/list

List variables for a service, environment, project, or team. Service variables include their rendered values.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Query Parameters

type*VariableReferenceSourceType

The type of variable

Value in

  • "team"
  • "project"
  • "environment"
  • "service"
team_id*string
project_id?string

If present, fetch project variables

environment_id?string

If present, fetch environment variables - requires project_id

service_id?string

If present, fetch service variables - requires project_id and environment_id

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/variables/list?type=team&team_id=string"
{  "data": {    "values_redacted": true,    "variables": [      {        "name": "string",        "provided": true,        "references": [          {            "key": "string",            "resolved": true,            "resolved_value": "string",            "source_icon": "string",            "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81",            "source_name": "string",            "source_type": "team",            "token": "string"          }        ],        "resolved_value": "string",        "type": "team",        "updates": [          "string"        ],        "value": "string"      }    ]  }}